from chemsh       import *
from chemsh.utils import testutils


no2 = Fragment(coords="no2.cjson")

pyscf = PySCF(frag=no2, method="hf", scftype="rohf", basis="3-21g", mult=2)

sp = SP(theory=pyscf, gradients=False)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf from Tcl-ChemShell
#eref = -202.835882938909
# convergence=tightscf
#eref = -202.835883013631
# ORCA 5.0.3 
#eref = -202.83588301

#pyscf reference
eref = -202.835883014

testutils.validate(ecalc, eref)
